Fri Nov 23 23:13:40 2001
	New icons for DnD and for main window from Kurt Haribo!;
	Added tooltips for traffic selection menu items in DnDbasket;
	Added "remove unused links" dialog after "Search links in file";
	Added support for 'Content-Disposition' HTTP-answer's field;
	Added option "do not remember position of the main window";
	Added command line parameter '-geometry';
	Added ability to add new dirs during FTP-recursion to the top of queue;
	Changed formula for calculating remaining time;
	Spanish translation is uptodated (thanks to "Gustavo D. Vranjes");
	Hebrew translation was updated (thanks to Oren Held);
	Allowed HTTP recurse for splited downloads;
	Improved '--ls' command line parameter;
	Fixed automated adding with {08-xx}/{xx-08};
	Fixed terminating sound server's thread;
	Fixed find links in file (some chars are delimeters);
	Fixed annoying blinks when switch logs of splited downlad;
	Fixed segfault on exit when "Add new" windows are opened;
	Fixed recurse via HTTP whith absolute pathes;
	Fixed storing order of download queue when run without interface;
	Fixed exiting by Ctrl+C;
	Fixed matching rules of a filter;
	Fixed passing URL through filter via redirections;
	Fixed placing main window under differents WM;
	Fixed broken files when redirected with "change links in HTML...";
	Fixed "wrong segmentation info" for one threaded downloads;
	Fixed opening remembered log for splited downloads;
	Fixed displaing number of attempts for splited downloads;
	Fixed changing links in file during HTTP recursion (if option is set);
	Updated spec file for new distributions;
	Various interface and code cleanups;

Sat Sep  8 13:35:09 2001
	Updated Polish translation (thanks to Grzegorz Kowal);
	Updated Ukrainian translation (thanks to Cawko Xakep);
	Added back "default permissions";
	Added preferences for "automated adding" feature;
	Added ability to do FTP-search even if filesize is unknown;
	Added 'filter' option into default properties;
	Use newest cookies file (Mozilla's or Netscape's one) now;
	Extended HTTP filters;
	Fixed aoutmated adding with params like {01-23};
	Fixed recurse via FTP;
	Fixed segfault with authorised FTP URLs via HTTP proxy;
	FIxed segfault when open log window (in some cases);
	Interface & Code cleanups;

Mon Aug 13 13:29:35 2001
	Updated translation to Hebrew (thanks to Oren Held);
	Fixed compilation on Solaris;
	Fixed color selection on Solaris;
	Fixed adding to the top of queue if it's empty;
	Fixed HTTP recursion;
	Fixed DnD basket moving;
	Fixed some other bugs;

Tue Jul 31 20:00:40 2001
	Added abilities for automated adding downloads;
	Added ability to add download to the top of queue;
	Added ability to protect download from deleting;
	Updated German translation (thank to Felix Knecht);
	Updated Italian translation (thank to Marco Martin);
	Popup main window if D4X is already run;
	Storing port of proxy server in history;
	Improved FTP support; 
	Interface improvements;
	The same percentage in all places;
	Fixed aborting downloads via HTTP proxy by first error;
	Fixed adding two downloads which have different only in port;
	Fixed some problems with DnD basket;

Sat Jun 23 14:09:29 2001
	Added command line paramter '--del';
	Added sounds;
	Added ability to use '?' as any symbol in HTTP filters;
	Added ability to use one socket many times for FTP downloads;
	Added ability to select/unselect by wildcard in queue of downloads;
	Hebrew translation has been updated;
	Polish translation has been updated;
	Italian translation has been updated (thanks to m4rt);
	French translation has been updated (thanks to Jerome COUDERC);
	Initial Turkish translation (thanks to Gorkem Cetin);
	Bulgarian translation has been rewritten (thanks to Iordan Pavlov);
	File wildcard of HTTP filter is caseinsensetive now;
	Fixed problems with redirections;
	Fixed blocking interface when progress bars in third mode;
	Fixed recurse HTML which contains BASE tag;
	Fixed renaming local file when it's downloaded in number of threads;
	Fixed loading from non anonymous FTP servers via HTTP proxy;
	Fixed initing one global mutex;
	FTP improvements;
	Interface improvements;
	Varios code-cleanups;

Fri Apr 20 16:40:40 2001
	Added ability to set up cookie string for a download;
	Added SOCKS5 support;
	Added ability to configure buttons bar;
	Added 'Load' button to the buttons bar;
	Added 'Filters' for intelligent recursive loading via HTTP;
	Added 'Execute command' action for built-in scheduler;
	Added ability to configure modes of progress bars in queue of downloads;
	German translation is uptodated (thanks to Felix Knecht);
	Greek translation is uptodated (thanks to DJ Art);
	Fixed DnD from Opera to DnD-basket;
	Fixed problems with screensavers;
	Fixed various problems with splited downloads;
	Fixed resuming with non RFC HTTP servers;
	Fixed adding/editing scheduled actions;
	Fixed one memory leak;
	Fixed scheduling downloads after changing 'start time' property;
	Fixed executing 'exit' scheduled action;
	Many code cleanups;

Tue Mar 27 15:10:01 2001
	Implement saving known sizes into list;
	Added one more command line option;
	Added ability to specify Referer field manualy;
	Added ability to change default password for anonymous FTP user;
	Added Window Maker style pixmap (thanks to El Fabio);
	File entry in "Add new"/"Edit download" dialog will be filled automaticaly;
	Polish translation updated (thanks to Grzegorz Kowal);
	Korean translation updated (thanks to Seung-young Oh);
	Portuguese Brasillian translation updated (thanks to Mario Sergio Fujikawa Ferreira);
	Double click on a row with error in main log will bring log with error;
	Improved working with closed FTP directories;
	Fixed resuming with some HTTP servers;
	Fixed filling "Description" entry in "Properties" dialog;
	Fixed working with filesystems which do not support locking;
	Fixed two memory leak;
	Fixed completing and stoping splited downloads;
	Fixed disabling/enabling DnD basket via prefences dialog;
	Fixed removing segmentation file if file was not found at the server;
	Various code and interface cleanups;

Wed Mar 14 15:18:11 2001
	LICENSE file now contains Artistic licese;
	Fixed problems with HTTP recursing;
	Fixed compiling on RedHat-7.0;
	Fixed compiling on FreeBSD;

Tue Mar 13 09:03:42 2001
	Added ability to copy URL into clipboard;
	Added ability to set up properties of FTP-earch;
	Added scheduler;
	Added ability to use formaters in savepathes;
	Added ability to change links in HTML files to local;
	Support DnD from Opera;
	Improved po/Makefile for automated updating po files (thanks to Jerome COUDERC);
	Updated man page (thanks to David Chappell);
	Updated Hebrew translation (thanks to Oren Held);
	Updated Chinese translation (thanks to Merlin); 
	Updated German translation (thanks to Felix Knecht);
	Updated Spanish translation (thanks to Vicente Aguilar);
	Updated Greek translation (thanks to DJ Art);
	Updated French translation (thanks to Jerome Couderc);
	Updated Russian documentation (thanks to me :-);
	Various improvements in FTP code;
	Fixed segfault on recursive downloading via FTP;
	Fixed working with nonrfc FTP servers in PASV mode;
	Fixed displaying percentage in progress bars;

Fri Feb 16 16:08:38 2001
	A method of changing FTP directory has been changed;
	Supported one more FTP directory listing;
	Improved HTTP recursion;
	Fixed writing to one file by separate downloads;
	Fixed segfault on exiting if "Add new" dialog opened;
	Fixed segfault on adding via clipboard or DnD on some systems;
	Fixed saving size of main window if it is invisible;
	Fixed segfault whit new preferences dialog;
	Minor fixes in FTPsearch;
	Various code cleanups;

Tue Feb 13 11:19:10 2001
	Preferences dialog has been fully rewritten;
	Added "Auto" button for path where logs saved;
	Added ability do not checking time of local file;
	Optimized and fixed segmentation;
	Functionality of FTP search has been greatly improved;
	Ftp search uses default proxy settings;
	Various new options in preferences;
	Continue spell fixes;
	Slovak translation is updated (Thanks to Luboš Holička);
	Polish translation is updated (Thanks to Grzegorz Kowal);
	Fixed segmentation fault when removing http downloads with Shift;

Fri Jan 26 14:18:17 2001
	Resuming for splited downloads has been implemented;
	Added ftpsearch capabilities;
	Added ability to write logs of downloads into file;
	Added new command line option;
	Added new column in queue of downloads;
	Added ability to write info about downloaded files into Descript.ion file;
	Added ability to remove temporary files from the disk (Shift+);
	Logs of splited downloads will not be more destroyed after stoping;
	Chinese translation had been updated (thanks to Marlin);
	Getting description from Mozilla's drops has been implemented;
	Fixed segfaulting in log switching for splited downloads;
	Fixed doubled time in main window;
	Fixed memory leak on log updates;
	Fixed saving option "load symbolic link as file" to config;
	Many spell fixes (thanks to David Chappell);
	Various part of code was rewritten for better portability;

Sat Dec 23 09:26:44 2000
	Values of traffic limitations in tooltips of buttons bar;
	Intelegent algorithm to get FTP listing;
	English documentation from David Chappell now included!;
	Send "Authorisation" instead of password in URL via HTTP proxy;
	French translation is uptodate (Thanks to Jerome Couderc);
	Italian translation is uptodate (Thanks to Enrico Manfredini & Vittorio Rebecchi);
	Japanieze translation is uptodate (Thanks to Kei Kodera);
	Hebrew translation is uptodate (Thanks to Oren Held);
	Korean translation is added (Thanks to Seung-young Oh);
	Slovak translation is added (Thanks to Lubosh Holichka);
	Manual page is uptodate;
	New gnome-style icon from Ali Akcaagac;
	DnD basket is REALLY always on top now :)
	Fixed segfaulting in log switching;
	Fixed truncating files;
	Fixed working without X interface after last version;
	Fixed difference of percentage in queue and in statusbar;
	Fixed URL parsing;
	Fixed redirection to URLs related to previous;
	Various fixes in DnD;
	Improved URL parsing for better HTTP recursion;
	Interface improvings;
	FTP improvements;
	Changed fixed font in logs to monowidth font;
	More fast parsing html files;
	Spec file fixed;
	Many other fixes and improvements;

Thu Oct 26 18:29:46 2000
	FTP implementation cleanups and fixes;
	HTTP realisation cleanups and fixes;
	HTTP recursion improvings;
	Interface cleanups (one string - many changes);
	Hebrew translation (thanks to Oren Held);
	Fixed searching cookies in db;
	Fixed compilation under gcc-2.95.2/2.96;
	Spell fixes;
	Many various fixes and cleanups;

Mon Aug 28 13:15:31 2000
	Added option "Dont send QUIT command"
	Ability to show ftp dirs in logs;
	Info about selected download in DnD trash's tooltip;
	Spanish translation is updated;
	Polish translation is updated;
	Sorting active downloads by clicking on column's button;
	New behavior by double click on DnD trash;
	Fixed seting timeout status  when getting size via http;
	Fixed rederecting of splited downloads;
	Fixed file naming while recursing by http;
	Fixed setting default permisions;
	Fixed stupid segfault when print some errors to log;
	Various stability fixes;

Wed Aug  9 09:16:26 2000
	All clipboard settings is in separate folder of "Options" dialog;
	Added option for catching link in clipboard by extension;
	Added ability to change common properties for selected downloads;
	Added extra option for enabling/disabling ability to run new downloads even if limit reached;
	Added command line option to set timeout for 'exiting if nothing to do';
	Latest saved lists now can be loaded fast via "File" menu;
	New time selection dialog for scheduled downloads;
	New algorithm for traffic shaper;
	Finding links in file now will be run in separate thread;
	Parsing date from dos/windows ftp servers was implemented;
	Comparing time of file on server with local file's time;
	Trash for DnD now will blink if an URL dropped;
	Ftp protocol supporting was improved;
    	Polish translation is updated (thanks to Grzegorz Kowal);
	Dutch translation is uptodate (thanks to Robin Verduijn);
	German translation is uptodate (thanks to Felix Knecht);
	French translation is uptodate (thanks to Jerome Couderc);
	Russian translation is uptodate (thanks to me :);
	Fixed number of problems with splited downloads;
	Fixed losing accelrating keys;
	Fixed renaming file beginng with '.' if it was not used;
	Fixed getting date from server for both ftp and http;
	Fixed limiting speed for separate splited download;
	Fixed some problems with reading ftp answer;
	Fixed "exiting if nothing to do" (stupid mistyping in sources);
	Fixed displaying number of attempts;
	Fixed overflowing number of readed bytes;
	Fixed "first run segfault";
	Fixed segfaulting while continuing opening logs;
	Fixed segfaulting and other problems with fast log filling;
	Number of code and interface cleanups;

Fri Jun  9 08:39:36 2000
	Added ability to set default limitation for connection to hosts;
	Added option for runing in minimized state;
	Added confirmation for opening large amount of windows;
	Added new format for size in columns;
	Added ability don't get file from cache while downloading via http proxy;
	About dialog was cahnged;
	Translation to Greek is uptodate (thanks to Kyritsis Athanasios);
	Translation to French is uptodate (thanks to Jerome Couderc);
	Translation to Spanish is uptodate (thanks to Vicente Aguilar);
	Translation to Portuguese Brazilian is uptodate (thanks to Evandro F.Giovanini);
	Translation to Chinese is uptodate (thanks to Marlin);
	Default referer field was changed;
	User can open as many "Add new" windows as he(she) want;
	"Add new" dialog now can be closed by Esc button;
	Right clicking on "Options" button bring up "preferenses" dialog for downloading;
	Recursing via http setup valid referer fields for all downloads;
	Traffic shaper algorithm changed;
	Fixed ftp recursing via http proxy;
	Fixed problems with %xx in urls;
	Fixed working with ftp proxy which need a password;
	Many small interface fixes;

Fri May 19 09:07:23 2000
	Finish translation added;
	Added button for reseting colors to default;
	Ability to run download manualy if limit's already reached;
	Fixed stoping splited downloads if one of threads goes fail;
	Makefile.dep removed from source code;

Tue May 16 08:37:24 2000
	Added ability to find links in ordinary text file;
	Added ability to select colors for graph of speeds;
	Added ability to download one file in number of threads (Mass download);
	Added "Browse" buttons in some places;
	Now Downloader can load streams from shoutcast/icecast servers;
	Fixed font in logs is optional now;
	Polish translation was added;
	Spanish translation is uptodate;
	German translation is uptodate;
	Greek translation is uptodate;
	Added automatic setted referer while redirecting;
	Fixed problems with loading some http URLs;
	Fixed http redirection to local file;
	Fixed downloading via http proxy for URLs with non standard port;
	Fixed port displaing when editing downloads;
	Code cleanups of interface part;

Thu Apr 20 09:19:47 2000
	Added ability to rerun all failed downloads;
	Added ability to restart download from begining;
	Added option for recurse only in subdirectories for http recursing;
	Added ability to run program without X interface;
	Added ability to limit file size of main log;
	Added some new command line parameters;
	More detailed messages about errors while file creation;
	Ftp improvements (now send 'LIST' if 'LIST -la' was not understood);
	Man page now included (thanks to Julien BLACHE);
	Translation to Spanish is uptodate (thanks to Vicente Aguilar);
	Translation to Dutch is uptodate (thanks to Robin Verduijn);
	Translation to French is uptodate (thanks to Jerome Courdec);
	Translation to Russian is uptodate (of course thanks to me);
	Format for size in columns printed in new way;
	Fixed memory leak when failed create symlink;
	Fixed myprintf() in logs;
	Fixed parsing %xx in urls;
	Fixed spelling errors in English;
	Various fixes in ftp protocol;
	Total rewritings downloading code for OOP style;

Fri Mar 31 11:00:23 2000
	Added ability to leave server while recursing via http;
	Added ability to save queue of downloads into default file by clicking right mouse button on "Save" button;
	Added ability to open dialog for adding new download via pressing middle mouse button on DnD trash;
	Added ability to setup default passwords for the hosts;
	Some improvements for better functionality of gnome-applet;
	More faster method to delete downloads from queue;
	Rewrote potocol handling in more attractive manner;
	Greek translation added (thanks to Kyritsis Athanasios aka DJ Art);
	Dutch translation updated (thanks to Robin Verduijn)
	French translation updated (thanks to Jerome Couderc)
	Number of fixes in interface;
	Various fixes and cleanups in http realisation;
	Fixed segfaulting when path in url begined from char >127;
	Fixed store size of queue of downloads in configs;
	Fixed traffic limitation just downloading started;
	Fixed compilation and working on BSD;
	Fixed displaying info about downloading links as files;

Fri Mar  3 09:32:47 2000
	Dutch translation was updated (thanks to Robin Verduijn);
	Portugues Brasilian translation was updated (thanks to Legnar WinShadow);
	Ability to download links as files via ftp;
	All logs now have column for number of string;
	Logs of downloads now have a fixed font;
	TON of bugfixes:

Wed Feb 16 08:58:21 2000
	Added functions for manipulating with selections of downloads;
	Added ability to configure speed via main menu as well as via menu of DnDtarsh;
	Added ability to pause downloading just after adding (to prevent autamatically running);
	Added ability to configure buttons bar;
	Added various command line parameters;
	Improved http recursion;
	Hungarian translation was added;
	French translation updated (thanks to Jerome Courdec)
	German translation updated (thanks to Dirk Moebius)
	Russian translation updated;
	Fixed getting first content of clipboard;
	More fast moving on top and bottom of queue;
	Minor fix in http requests;
	Show file sizes in queue of downloads if they are known;
	Fixed small memory leaks when close and open dnd trash again;
	Fixed memory leak in downloading via http proxy;
	Fixes and improvements in ftp code;
	Varios fixes and code cleanups;

Sun Jan 30 16:01:38 2000
    Added clippboard monitoring;
    Added ability to setup list of extensions for skiping in clipboard;
    Added new shortcuts: openinig log window by pressing Enter key, closing by Escape;
    Fixed memory leak in analizing http answer;
    Fixed creating log windows on old gtk libs;
    Fixed deleting all downloads if user just stoped one of them;
    Html parsing was fully rewritten;
    New format for saved lists of download;
    Closing log window by pressing Esc;
    Update Japaniese translation;
    Update French translation;
    Cookies support added (Downloader will use cookies from your ~/.netscape/cookies);
    Of course code cleanups, memory leak fixes;

Mon Jan 17 09:59:13 2000
    French translation is updated;
    Spanish tranlsation is updated;
    Destroing DnD window before exiting;
    Fixed resuming via http when ETag changed;
    Fixed parsing time and date when getting list from ftp server;
    Fixed segfault when download via ftp proxy;
    Fixed deleting limitation when adding new one;
    Fixed initialisation and handling proxy dialog;
    Fixed memory leaks when parsing htmls;
    Improve html parsing;
    Fixed reading config;
    Added one column in limitations dialog;
    Added Shift+PageUp Shift+PageDown shortcuts for moving selected downloads
    to bottom of list or in top;
    Added ability to remember passwords;
    Time displaying slighly changed;
    Many (more 150K diff) cleanups and fixes;

Tue Dec 28 10:53:37 1999
    Added ability to run something when exiting (for example ppp-down script)
    Added support for DOS style directory listing via ftp;
    Added ability to move all selected downloads;
    Added new command line parameters for setting speed limitation;
    Rewritten parsing command line parameters;
    Some items in menu is autodisabled now;
    Colors of the graph now saving in config file;
    Fixed some memory leaks;
    Fixed downloading via proxy for ftp URLs;
    Fixed jumping of log windows after creating;
    Fixed displaying messages twice in logs of downloadings;
    Fixed downloading saved list;
    Fixed creating directories with default name when download via ftp;
    Various fixes and improvements in ftp realisation;
    Number of fixes in http realisation;
    Various fixes for better stability;

Tue Dec 14 10:42:40 1999
    D4X will create log even if downloading does not started yet;
    Ability to add downloading via command line if D4X already run;
    Ability to setup time for exit if nothing to do;
    Options related with main log removed to separate folder;
    Added "Output detailed info" options for main log;
    Added "Rest" column;
    Added menu for DnD trash by right mouse click;
    Added user-configurable User-Agent field for http requests;
    Czech translation was added (thanks to Pavel Janousek);
    French translation is updated (thanks to Jerome Couderc);
    Russian translation is updated (thanks to me);
    Portuguese translation is updated (thanks to Guiliano Rangel Alves);
    Optimised CPU ussage;
    All tips have a yellown background now;
    Double click on DnD trash will popup main window;
    No more failed downloads if host not found (for dial-up users);
    New algorithm of parsing directory listing (for wu-ftpd-2.6.0);
    Fixed creating pathes are like lalal.cgi?http:/www.gnu.org/lalal;
    Fixed time displaying;
    Fixed working with buggy compillers (working on Alpha);
    Fixed jumping of windows when they are just appearing;
    Fixed off screen appearing of main window;
    Fixed SIGINT exiting, no more lockups;
    Fixed ftp realisation for working with wu-ftpd-2.6.0 (thanks to Terence Haddock)
    Fixed downloading via http if resuming is not supported;
    Fixed segfault of hi speed connection when updating logs;
    Fixed visibility of password and username in URL entry;
    Fixed speed limitation for separate downloads;
    Fixed small memory leaks;

Fri Nov  5 09:58:50 1999
    Fixed auto resuming via ftp
    Fixed rollback feature

Wed Nov  3 11:11:02 1999
    Added "trash" icon which is placed always on top for DnD;
    Added "rollback" feature for buggies proxy servers;
    Added ability to setup speed limit for any download;
    First character of strings in file of main log is a type of message;
    Displaying amount of downloaded bytes of directory listing;
    Columns is now configurable for displaying;
    All logs autoscrollable;
    Summary information in title of main window is scrollable now;
    Information about downloading now displaing in a title of log window;
    All "Ok" buttons can be translated;
    Ftp optimization (downloader will not send command PASS if already logged after command USER)
    New method of storing files in HTTP recursion;
    Configs flags of downloading will be stored;
    Indian translation is added (thanks to Priyadi Iman Nurcahyo);
    Japaniese translation is added (thanks to Kei Kodera);
    French translation is updated;
    Chinese translation is updated;
    Fixed standing data connection in passive mode via ftp;
    Fixed open socket after reconnection;
    Fixed running downloader if home folder mounted from NFS;
    Fixed some segfaults;
    Fixed reiniting main log after pressing "Ok" in "Options" doalog;
    Fixed drawing graph;
    Various code cleanups and optimisations;

Thu Oct  7 16:37:33 1999
    Added "save" button into button panel;
    Added scrolling title of main window;
    Added primitive command line parameters support for future implementation (-v,--version supported);
    Added ability to setup default permisions for the files;
    Dutch translation updated;
    French translation updated;
    Number of codecleanups and optimisations;
    Fixed exit by SIGINT signal (Ctrl-Break);
    Now Downloader waiting for stoping all threads before exiting;
    Fixed redirection segfault when server didn't return new location;
    Various fixes in recursion via http (much better handling ../ and ./ pathes);
    More precise speed calculation;

Fri Sep 24 16:32:48 1999
    Added ability to open "properties" window for running downloads;
    Added ability to configure name of file where downloading will be saved by default if its name of file is unknown;
    Added recursive html downloading;
    Added ability to revert drawing graph of speeds;
    Added ability to setup depth of recursing;
    Added names of translators to about window;
    Added Dutch translation (Thanks to Robin Verduijn);
    Main log now autoscrollable;
    No more equals URLs in Downloader;
    Field "Referer" in http request is always URL to Downloader's homepage;
    Fixed french translation;
    Fixed downloading via http if ETag was changed;
    Fixed inheriting of some settings when recurse via ftp;
    Fixed redirection from proxy;
    Fixed displaying that resuming isn't supported by http server;
    Fixed resuming of downloading of directories via ftp;
    Fixed segfault when user deleting all downloads;
    Fixed redirection segfault;
    Fixed number of other segfaults;
    Global code cleanups;

Tue Sep  7 16:39:35 1999
    Fixed segmentation fault while getting size of file by second way;

Mon Sep  6 10:15:18 1999
    Added backgroud colors to the logs
    Added ability to save download in different file
    Status of downloading now saving (stopped,failed,completed...)
    Changed format of saving list
    Translated to Italian (thanks to Vittorio Rebecchi)
    Translated to Chinese (thanks to Marlin [TLC-ML])
    Translated to French (thanks to Philippe Rigaux,Eric Seigne)
    Translated to Portuguese Brazialian (thanks to Paulo Henrique Baptista de Olivera)    
    Fixed algorithm of limitation speed of downloading
    Fixed some memory leaks
    Fixed localisation of proxy downloading
    Fixed initing locale in gtk
    Fixed bug of loading list
    Fixed instalation of .po files
    Various code cleanups

Thu Aug 26 09:57:49 1999
    Added gettext support (thanks to Vicente Aguilar);
    Added right mouse click menu to mainlog
    Added checking of existing HOME variable in saving configs
    Added "retry if resuming not supported" option into "Add new" dialog
    Added history for proxy;
    Translated into Bulgarian (thanks to A.J.)
    Translated into Spanish (thanks again to Vicente Aguilar)
    Translated into German (thanks to Josef Jahn)
    Translated into Russian (thanks to me :)
    Fixed getting date from servers via http proxy
    Fixed recursion via ftp by mask
    Fixed storing username in history of proxy

Sat Aug 21 13:49:40 1999
    Added ftp proxy support;
    Fixed moving up and down downloads;
    Fixed some memory leaks;
    Fixed segfault when download links via ftp;

Thu Aug 19 16:25:17 1999
    Redirects from http now run in the same row;
    Added ability to limit speed of download;
    Added ability to setup start time for any download;
    Added confirmation settings;
    Added second way for getting file size from ftp;
    Code for manipulating with threads was fully rewritten;
    Storing sizes of columns of limitation's window;
    Now downloading via ftp will automaticaly change passive mode to
	normal and vice versa;
    Added history for field 'user' in proxy dialog;
    Now downloader check ability to run new thread before run it;
    Added ability to iconify window instead of closing;
    Changed format of saved listing but it should be backward compatible;
    Fixed username and password entering in 'Add new' dialog;
    Fixed closing of all window (no more segfaults after window closing);
    Fixed add new limitation;
    Fixed various bugs which can emit segmentation fault;
    Code cleanups;

Mon Jul 19 11:56:15 1999
    Added mask support in ftp;
    Added ability to set limitations fro connections to the hosts;
    Added ability to "stop" waiting downloads;
    Added icon which will be showed when resuming is not supported by server; 
    Fixed some bugs as well as other codecleanups.

Mon Jul 12 11:55:59 1999
    Changed save and load list dialogs (history added);
    Sizes of columns is saved;
    Added confirmation dialogs for dangerous functions (delete, delete all, exit);
    Added using title of main window for various info;
    Added proxy in "add new" dialog;
    Added ability to automaticaly save list of downloads;
    Graph of speeds was changed (it show also speed of curent download);
    List of downloads allow many selections now;
    Added double click function in logs;
    Added saving sizes of logs;
    Added ability to open dialog "add new" for DnD;
    Added history of "user" filed in "add new" dialog;
    Added ability getting permisions from ftp server;
    Added ability to get date from a server (ther are GMT problem);
    Continue button is restart download if it is already runing;
    Main log now writing date into file too;
    Fixed loading devices via ftp (they'll be not loaded);
    Fixed displaying size in queue of downloads after changnig size format; 
    Fixed password visibility in the logs;
    Fixed bug in ftp realization;
    Fixed some bugs which can cause segfalut;
    There are no more multiple instances;
    Various code cleanups, interface cleaunps, and optimizations;

Mon Jun 21 10:26:36 1999
    Added proxy support;
    Added passive ftp mode support (manual);
    Added ability to save log in file;
    Added ability to save and load list of downloads;
    fixed various bugs...

Sat Jun 12 20:35:53 1999
    Added *global* log for useful information;
    Fixed segfault if first http connection faling;
    Fixed freezing of interface;
    Interface was slightly chaged;
    Other bugfixes and improvements (see main/ChangeLog for details)

Wed Jun  2 12:35:49 1999
    Http authorization was added;
    Interfaece was improved;
    Memory leaks bugs was detected and fixed;
    History now saved.

Fri May 28 15:31:19 1999
    Improvements:
	interface...
	
    Bugfixes:
	names with spaces in ftp's directories now loading properly;
	socket and memory leaks was fixed;
	file now closes normaly in http downloading;
	and other... and other ...

Mon May 10 08:18:09 1999
    DnD support was added! Thank to Justin Bradford!
    Release new version...

Sun May  9 15:23:42 1999
    TON of bugfixes and codes' cleanups;
    Added ability to edit downloads (you need to stop it before);
    saving position of main window;
    List now saving in right order; 
    Row selecting and by right mouse button too.
    Dowloads is stopped more faster now.

Wed Apr 21  1999
    Default path where files will be saved now store in cfg
    Access to menu by right button mouse click on the list
    %xx in http URLs now understanding as corresponding symbol
    And of course there are bugs' fixes and code improvements!!!

Mon Apr 12  1999
    Graphic of speeds was added!!!!! ( I think I'm realy GTK hacker (: )
    Value of curent speed now is displayed!
    Bugs in http downloading was fixed:
	download file wich has unspecified length;
	empty file wich was left after redirect now is deleted;
	something else (I did'nt remember)
    Various code cleanup;
    
Thu Apr  8  1999
    Number of bugs was fixed in http downloading;
    Added pair of buttons for moving up and down downloads;
    Changed button for delete completed downloads;
    Config file will be saved now automaticaly if not found;
    Remaining time overflow was fixed.
    I think now is time for next subversion 0.91 !!!

Mon Mar 29  1999
    New icons from Aubin Paul.
    Stupid parameters in destructor of class tString was deleted.

Thu Mar 25  1999
    Segfault bug in new timeoutput was fixed;
    Race condition while deleting download with opened log was fixed;

Wed Mar 24  1999
    Interface changes:
	Readed bytes field was added in statusbar;
	time output was changed;
    Code improvements:
	Log windows automaticaly updating now!
	
Tue Mar 23  1999
    Interface was changed:
	The button for clearing queue of downloads was added;
	File name now output to statusbar;
	The rows for time and remaining time was added;
    Bug was fixed:
	http request ETag checking.

Tue Mar 22  1999
    First public release!
